org.apache.maven.scm.provider.hg.command.tag

## Class HgTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.hg.command.tag.HgTagCommand

All Implemented Interfaces:
  Command

    public class HgTagCommand
    extends AbstractTagCommand
    implements Command

Tag

Version:
  $Id: HgTagCommand.java 754778 2009-03-15 22:26:37Z olamy $
Author:
  ryan daum

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`HgTagCommand()`

### Method Summary

Methods
`protected ScmResult` `executeTagCommand(ScmProviderRepository scmProviderRepository, ScmFileSet fileSet, String tag, ScmTagParameters scmTagParameters)`
`protected ScmResult` `executeTagCommand(ScmProviderRepository scmProviderRepository, ScmFileSet fileSet, String tag, String message)`

### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### HgTagCommand

    public HgTagCommand()

### Method Detail

#### executeTagCommand

    protected ScmResult executeTagCommand(ScmProviderRepository scmProviderRepository,
                              ScmFileSet fileSet,
                              String tag,
                              String message)
                                   throws ScmException

Overrides:
  `executeTagCommand` in class `AbstractTagCommand`
Returns:
Throws:
  `ScmException`

#### executeTagCommand

    protected ScmResult executeTagCommand(ScmProviderRepository scmProviderRepository,
                              ScmFileSet fileSet,
                              String tag,
                              ScmTagParameters scmTagParameters)
                                   throws ScmException

Specified by:
  `executeTagCommand` in class `AbstractTagCommand`
Throws:
  `ScmException`